需要 read_products 权限点。
更多权限点使用信息,请参考:
GET https://{handle}.myshopline.com/admin/openapi/v20260901/products/products.json
handle :店铺的唯一标识符,值为店铺域名的前缀。例如,域名为 open001.myshopline.com 的店铺,其 handleopen001
批量查询商品基本信息。
查询参数
  • since_id string
    商品的 ID。传入该值后,会从指定的商品 ID 开始查询商品。
    例子: 16057850264845250791280282
  • title string
    商品的标题。
    最大长度限制:255
    例子: This is a title.
  • fields string
    指明需要返回的字段,多个字段用逗号分隔。可指定的字段范围参考响应体中 products 对象下的一级子字段。
    例子: title,id,created_at
  • page_info string
    分页查询的唯一标识,用于定位特定页面。
    该字段值需要在你已经查询完分页信息后,在该接口响应头中的 link 字段值中获取。例如,你获取到的 link 的值为 <https://{handle}.myshopline.com/admin/openapi/{version}/products/products.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel="next" ,那么 page_info 的值为 eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9
    关于更多如何使用分页信息,请参考 分页机制
  • created_at_min string
    指定要查询商品的最早创建时间。在此日期或此日期之后创建的数据会被返回。格式:ISO 8601
    例子: 2021-09-03T14:11:54+00:00
  • updated_at_max string
    指定要查询商品的最晚更新时间。在此日期或此日期之前更新的数据会被返回。格式:ISO 8601
    例子: 2021-09-02T14:11:54+00:00
  • vendor string
    商品的品牌或厂商。
    最大长度限制:255
    例子: SHOPLINE
  • status string
    商品的状态。有效枚举值包含:
    • active:上架
    • draft:下架
    • archived:归档
  • collection_id string
    商品分类的唯一标识 ID。
    最大长度限制:64
    例子: 12248721639068681442230282
  • created_at_max string
    指定要查询商品的最晚创建时间。在此日期或此日期之前创建的数据会被返回。格式:ISO 8601
    例子: 2021-09-02T14:11:54+00:00
  • handle string
    商品的语义化的唯一标识,默认基于 title 生成。
    最大长度限制:255
    例子: product-handle
  • ids string
    商品的 ID。传入该值后,会从指定的商品 ID(包含该 ID) 开始查询商品。
    例子: 16057850264845250791280282,16057850264845250333280282
  • limit string
    要查询的商品的数量限制。
    取值范围:1-50
    默认值:50
  • updated_at_min string
    指定要查询商品的最早更新时间。在此日期或此日期之后更新的数据会被返回。格式:ISO 8601
    例子: 2021-09-03T14:11:54+00:00
  • order_by string
    基于款式创建时间的排序规则。有效枚举值包含:
    • created_at_asc: 时间升序排列,即从最早创建到最晚创建。
    • created_at_desc: 时间降序排列,即从最晚创建到最早创建。
    例子: created_at_desc
  • product_category string
    商家自定义的商品类型。
    最大长度限制:255
    例子: Electronics
请求头
  • Content-Type string required
    字段值固定为 application/json; charset=utf-8
  • Authorization string required
    资源的访问令牌。参考 应用授权 获取访问令牌,然后将获取到的访问令牌以 Bearer 格式传入。
    例子:
    Bearer eyJhbGciOiJIUzUxMiJ9.eyJhcHBLZXkiOiJmMjM3OWQyMTYyOGMzM2QxMWRiMWZkYjY5N2EzZjdjMjZlNGMwYTA5Iiwic2VsbGVySWQiOiIyMDAwMjM0ODgwIiwic3RvcmVJZCI6IjE2NzIzNjk3Mjk2MDYiLCJ2ZXJzaW9uIjoiVjIiLCJkb21haW4iOiJodHRwczovL3NsLW9wZW4tc2cubXlzaG9wbGluZS5jb20iLCJ0aW1lc3RhbXAiOjE2NzUzMTk0OTI0MzksImlzcyI6Inlzb3VsIiwiZXhwIjoxNzY5OTI3NDkyfQ.UwQzomM2veGCUaOZ0paUxq5dpc7DXuhHYFvsQ_uIAKduzWcb_j2E4q_36El83sp145D4cKbpcE5KCeeIz-JNQw
状态码
更多状态码信息,参考 HTTP 状态码

响应头
  • link
    提供分页数据的 URL 链接。你可以获取该字段值中的 page_info 信息用于下一次分页请求中。
    当你请求的页面存在上一页或下一页的时候,该字段会被返回。关于更多如何使用分页信息,请参考 分页机制
  • traceId
    请求的全局唯一标识符。用于追踪请求在系统中的流转,以便于问题发生时进行定位和调试。
响应体
  • productsobject[]
    商品列表。
  • body_html string
    商品的描述。
  • created_at string
    商品的创建时间。格式:ISO 8601
    例子: 2025-03-06T02:20:26+08:00
  • featured_mediaobject
    商品的封面媒体。
  • alt string
    商品媒体的替代文本描述,通常是具有媒体特征或内容的单词或短语。
    例子: This is a media alt.
  • content_type string
    商品媒体的类型。有效枚举值包含:
    • IMAGE:表示一个 SHOPLINE 图像。
    • VIDEO:表示一个 SHOPLINE 视频。
    • EXTERNAL_VIDEO:表示一个外部视频。
  • id string
    商品媒体的唯一标识 ID。
    例子: 5759070976424132652
  • preview_image string
    商品媒体封面图的链接。
    例子: https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png
  • src string
    商品媒体的链接。
    例子: https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png
  • handle string
    商品的语义化的唯一标识,默认基于 title 生成。
    例子: product-handle
  • id string
    商品的唯一标识 ID。
    例子: 16057850264845250791280282
  • imageobject
    商品的封面图。
    废弃:该字段自 API 版本 v20260301 起已废弃。
  • alt string
    图片的替代文本描述,通常是具有图片特征或内容的单词或短语。
    例子: This is an image alt.
  • id string
    图片的唯一标识 ID。
    例子: 5785060242207917075
  • src string
    图片的链接。
    例子: https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png
  • imagesobject[]
    商品图片列表。
    废弃:该字段自 API 版本 v20260301 起已废弃。
  • alt string
    商品图的替代文本描述,通常是具有图片特征或内容的单词或短语。
    例子: This is an image alt.
  • id string
    商品图的唯一标识 ID。
    例子: 5785060242207917075
  • src string
    商品图的链接。
    例子: https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png
  • mediaobject[]
    商品媒体列表。
  • alt string
    商品媒体的替代文本描述,通常是具有媒体特征或内容的单词或短语。
    例子: This is a media alt.
  • content_type string
    商品媒体的类型。有效枚举值包含:
    • IMAGE:表示一个 SHOPLINE 图像。
    • VIDEO:表示一个 SHOPLINE 视频。
    • EXTERNAL_VIDEO:表示一个外部视频。
  • id string
    商品媒体的唯一标识 ID。
    例子: 5759070976424132652
  • preview_image string
    商品媒体封面图的链接。
    例子: https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png
  • src string
    商品媒体的链接。
    例子: https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png
  • optionsobject[]
    商品规格列表。
  • id string
    规格的唯一标识 ID。
    例子: 16158068291703878544960282
  • name string
    规格的名称。
    例子: Color
  • option_valuesobject[]
    商品规格值列表。
  • id string
    规格值的唯一标识 ID。
    例子: 16050375155238626683133099
  • value string
    规格值。
    例子: red
  • product_id string
    规格对应商品的唯一标识 ID。
    例子: 16057850264845250791280282
  • values array
    规格值列表。
    例子: ["red,green,white"]
  • values_colors map
    规格值与对应颜色十六进制编码的映射关系。
    例子: {"blue":"#87CEEB","red":"#D22222"}
  • values_images map
    规格值与对应图片 URL 的映射关系。
    例子: {"red":"https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"}
  • path string
    商品的相对路径。
    例子: /products/clothes
  • product_behavior string
    用于标识商品的特殊行为,只在特定情况下有值返回。例如,当商品有潜在风险时,返回一个值。
    例子: RISK, HIDDEN
  • product_category string
    商家自定义的商品类型。
    例子: Electronics
  • product_type string
    商品的来源。有效枚举值包含:
    • NORMAL : SHOPLINE 商家后台维护的商品
    • POD_TEMPORARY : POD 应用的临时商品
    • TEMPORARY : 其他临时商品
  • published_at string
    商品发布到在线商店的时间。格式:ISO 8601
    例子: 2025-03-06T02:20:26+08:00
  • published_scope string
    商品的销售渠道发布范围。有效值固定为web,代表在线商城。
  • spu string
    商家为商品自定义的标识,区别于 SHOPLINE 生成的 product.id
    例子: S00000001
  • status string
    商品的状态。有效枚举值包含:
    • active: 上架
    • draft: 下架
    • archived: 归档
  • subtitle string
    商品的摘要。
    例子: This is a subtitle
  • tags string
    商品的标签。
    例子: tag1, tag2
  • template_path string
    商品的主题模板。
    例子: templates/product.product_template_name.json
  • title string
    商品的标题。
    例子: This is a Product title
  • updated_at string
    商品最近一次更新的时间。格式:ISO 8601
    例子: 2025-03-06T02:20:26+08:00
  • variantsobject[]
    商品款式列表。
  • barcode string
    款式的条形码。
    例子: T0000001
  • compare_at_price string
    款式的原价,数值保留到小数点后两位。
    例子: 129.99
  • id string
    款式的唯一标识 ID。
    例子: 18057850264851626133510282
  • imageobject
    款式的图片。
  • alt string
    款式图的替代文本描述,通常是具有图片特征或内容的单词或短语。
    例子: This is an image alt.
  • id string
    款式图的唯一标识 ID。
    例子: 5785060242207917075
  • src string
    款式图的链接。
    例子: https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png
  • inventory_item_id string
    库存单位的唯一标识 ID。
    例子: 5785060242375689228
  • inventory_policy string
    表明款式是否允许超卖。
    • deny:不允许超卖。
    • continue:允许超卖。
  • inventory_quantity integer
    各存放地点的库存数量总和。
    例子: 99
  • inventory_tracker boolean
    表明是否开启库存追踪。
    • true:开启库存追踪。
    • false:不开启库存追踪。
  • option1 string
    款式第一个规格的信息。
    例子: red
  • option2 string
    款式第二个规格的信息。
    例子: xl
  • option3 string
    款式第三个规格的信息。
    例子: cotton
  • option4 string
    款式第四个规格的信息。
    例子: short
  • option5 string
    款式第五个规格的信息。
    例子: casual
  • position integer
    款式的排序位置。
    例子: 1
  • price string
    款式的售价,数值保留到小数点后两位。
    例子: 90.22
  • product_id string
    款式对应商品的唯一标识 ID。
    例子: 16057850264845250791280282
  • required_shipping boolean
    表明款式是否需要运输。
    • true:需要运输。
    • false:不需要运输。
  • sku string
    商家为款式自定义的标识,区别于 SHOPLINE 生成的 variant.id
    例子: S000000001
  • taxable boolean
    表明款式是否需要收税。
    • true:需要收税。
    • false:不需要收税。
  • title string
    款式的标题,由款式的规格值拼装而成。
    例子: red · xl
  • weight string
    款式的重量,超过两位小数向上取整。
    例子: 0.23
  • weight_unit string
    款式的重量单位。有效枚举值包含:
    • g:克
    • kg:千克
    • lb:磅
    • oz:盎司
    • zh_kg:公斤
  • vendor string
    商品的品牌或厂商。
    例子: SHOPLINE
API Explorer
https://openapiceshidianpu.myshopline.com/admin/openapi/v20260901

ParamOptions

header required
query
query
query
query
query
query
query
query
query
query
query
query
query
query
query
query

Language

curl --request GET \
--url https://openapiceshidianpu.myshopline.com/admin/openapi/v20260901/products/products.json \
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiJ9.eyJhcHBLZXkiOiJmMjM3OWQyMTYyOGMzM2QxMWRiMWZkYjY5N2EzZjdjMjZlNGMwYTA5Iiwic2VsbGVySWQiOiIyMDAwMjM0ODgwIiwic3RvcmVJZCI6IjE2NzIzNjk3Mjk2MDYiLCJ2ZXJzaW9uIjoiVjIiLCJkb21haW4iOiJodHRwczovL3NsLW9wZW4tc2cubXlzaG9wbGluZS5jb20iLCJ0aW1lc3RhbXAiOjE2NzUzMTk0OTI0MzksImlzcyI6Inlzb3VsIiwiZXhwIjoxNzY5OTI3NDkyfQ.UwQzomM2veGCUaOZ0paUxq5dpc7DXuhHYFvsQ_uIAKduzWcb_j2E4q_36El83sp145D4cKbpcE5KCeeIz-JNQw' \
--header 'Content-Type: application/json; charset=utf-8' \
--header 'accept: application/json'
Examples
查询指定商品
Response
{
"products": [
{
"body_html": "This is a description",
"created_at": "2026-04-27T20:33:25-11:00",
"featured_media": {
"alt": "This is a media alt",
"content_type": "IMAGE",
"id": "7499983006624402409",
"preview_image": null,
"src": "https://img-va.myshopline.com/image/store/1680769923839/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
},
"handle": "shopline-2026-4-28-1",
"id": "16074999775283433032262925",
"image": {
"alt": "This is a media alt",
"id": "7499983006624402409",
"src": "https://img-va.myshopline.com/image/store/1680769923839/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
},
"images": [
{
"alt": "This is a media alt",
"id": "7499983006624402409",
"src": "https://img-va.myshopline.com/image/store/1680769923839/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
}
],
"is_gift_card": false,
"media": [
{
"alt": "This is a media alt",
"content_type": "IMAGE",
"id": "7499983006624402409",
"preview_image": null,
"src": "https://img-va.myshopline.com/image/store/1680769923839/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
}
],
"options": [
{
"id": "16174999775283936348792925",
"name": "Color",
"option_values": [
{
"id": "16274999775283936348812925",
"value": "Red"
}
],
"product_id": "16074999775283433032262925",
"values": [
"Red"
],
"values_colors": {},
"values_images": {
"Red": "https://img-va.myshopline.com/image/store/1680769923839/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
}
},
{
"id": "16174999775283936348862925",
"name": "Size",
"option_values": [
{
"id": "16274999775283936348882925",
"value": "L"
}
],
"product_id": "16074999775283433032262925",
"values": [
"L"
],
"values_colors": {},
"values_images": {
"L": "https://img-va.myshopline.com/image/store/1680769923839/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
}
}
],
"path": "/my-product-29",
"product_behavior": "",
"product_category": "Electronic",
"product_type": "NORMAL",
"published_at": "2026-04-27T20:33:25-11:00",
"published_scope": "web",
"spu": "S000001",
"standard_category_id": "",
"status": "active",
"subtitle": "This is a subtitle",
"tags": "tag1 tag2",
"template_path": "templates/product.json",
"title": "A product title",
"updated_at": "2026-04-27T20:38:52-11:00",
"variants": [
{
"barcode": "B000000001",
"compare_at_price": "11.20",
"id": "18074999775283936348752925",
"image": {
"alt": "This is an image alt",
"id": "7499983006624402409",
"src": "https://img-va.myshopline.com/image/store/1680769923839/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
},
"inventory_item_id": "7499977528863367103",
"inventory_policy": "deny",
"inventory_quantity": 0,
"inventory_tracker": true,
"option1": "Red",
"option2": "L",
"option3": null,
"option4": null,
"option5": null,
"position": 1,
"price": "10.11",
"product_id": "16074999775283433032262925",
"required_shipping": true,
"sku": "T0000000001",
"taxable": true,
"title": "Red · L",
"weight": "1.20",
"weight_unit": "kg"
}
],
"vendor": "SHOPLINE"
},
{
"body_html": "This is a description",
"created_at": "2026-04-27T20:50:01-11:00",
"featured_media": {
"alt": "This is a media alt",
"content_type": "IMAGE",
"id": "7499994236269382412",
"preview_image": null,
"src": "https://img-va.myshopline.com/image/store/1680769923839/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
},
"handle": "shopline-2026-4-29",
"id": "16074999942357157537392925",
"image": {
"alt": "This is a media alt",
"id": "7499994236269382412",
"src": "https://img-va.myshopline.com/image/store/1680769923839/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
},
"images": [
{
"alt": "This is a media alt",
"id": "7499994236269382412",
"src": "https://img-va.myshopline.com/image/store/1680769923839/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
}
],
"is_gift_card": false,
"media": [
{
"alt": "This is a media alt",
"content_type": "IMAGE",
"id": "7499994236269382412",
"preview_image": null,
"src": "https://img-va.myshopline.com/image/store/1680769923839/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
}
],
"options": [
{
"id": "16174999942357493081762925",
"name": "Color",
"option_values": [
{
"id": "16274999942357493081782925",
"value": "Red"
}
],
"product_id": "16074999942357157537392925",
"values": [
"Red"
],
"values_colors": {},
"values_images": {
"Red": "https://img-va.myshopline.com/image/store/1680769923839/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
}
},
{
"id": "16174999942357493081832925",
"name": "Size",
"option_values": [
{
"id": "16274999942357493081852925",
"value": "L"
}
],
"product_id": "16074999942357157537392925",
"values": [
"L"
],
"values_colors": {},
"values_images": {
"L": "https://img-va.myshopline.com/image/store/1680769923839/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
}
}
],
"path": "/my-product-30",
"product_behavior": "",
"product_category": "Electronic",
"product_type": "NORMAL",
"published_at": "2026-04-27T20:50:01-11:00",
"published_scope": "web",
"spu": "S000001",
"standard_category_id": "",
"status": "active",
"subtitle": "This is a subtitle",
"tags": "tag1 tag2",
"template_path": "templates/product.json",
"title": "A product title",
"updated_at": "2026-04-27T20:50:02-11:00",
"variants": [
{
"barcode": "B000000001",
"compare_at_price": "11.20",
"id": "18074999942357493081722925",
"image": {
"alt": "This is an image alt",
"id": "7499994236269382412",
"src": "https://img-va.myshopline.com/image/store/1680769923839/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
},
"inventory_item_id": "7499994236252595777",
"inventory_policy": "deny",
"inventory_quantity": 0,
"inventory_tracker": true,
"option1": "Red",
"option2": "L",
"option3": null,
"option4": null,
"option5": null,
"position": 1,
"price": "10.11",
"product_id": "16074999942357157537392925",
"required_shipping": true,
"sku": "S000001-106-001-A pro",
"taxable": true,
"title": "Red · L",
"weight": "1.20",
"weight_unit": "kg"
}
],
"vendor": "SHOPLINE"
}
]
}
这篇文章对你有帮助吗?